This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 121764 - /usr/bin/ld: cannot find -lselinux
/usr/bin/ld: cannot find -lselinux
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
: 126835 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 12:30 EDT by Captain
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 22:04:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Makefile of krArc of krusader (20.33 KB, text/plain)
2004-04-29 13:57 EDT, Captain
no flags Details

  None (edit)
Description Captain 2004-04-27 12:30:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040316

Description of problem:
While make'ing krusader the following messages appeared:

Making all in krArc
make[2]: Entering directory `/usr/src/krusader-1.30/krArc'
/usr/lib/qt-3.3/bin/moc ./krarc.h -o krarc.moc
source='krarc.cpp' object='krarc.lo' libtool=yes \
depfile='.deps/krarc.Plo' tmpdepfile='.deps/krarc.TPlo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
/bin/sh ../libtool --silent --mode=compile --tag=CXX g++
-DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde
-I/usr/lib/qt-3.3/include -I/usr/X11R6/include   -DQT_THREAD_SUPPORT 
-D_REENTRANT -D_LARGEFILE64_SOURCE -DKDE_NO_COMPAT -DQT_NO_ASCII_CAST
 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W
-Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion
-Wchar-subscripts -O2 -Wformat-security -Wmissing-format-attribute
-fno-exceptions -fno-check-new -fno-common  -c -o krarc.lo `test -f
'krarc.cpp' || echo './'`krarc.cpp
krarc.cpp:55:18: warning: ISO C does not permit named variadic macros
/bin/sh ../libtool --silent --mode=link --tag=CXX g++ 
-Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W
-Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion
-Wchar-subscripts -O2 -Wformat-security -Wmissing-format-attribute
-fno-exceptions -fno-check-new -fno-common    -o kio_krarc.la.closure
kio_krarc_la_closure.lo -L/usr/X11R6/lib -L/usr/lib/qt-3.3/lib
-L/usr/lib  -module -avoid-version -module -no-undefined  -R /usr/lib
-R /usr/lib/qt-3.3/lib -R /usr/X11R6/lib  krarc.lo -lkio -lkdeui
-lkdecore -lqt-mt  -lpng -lz -lm -lXext -lX11  -lSM -lICE -lpthread
/usr/bin/ld: cannot find -lselinux
collect2: ld returned 1 exit status
make[2]: *** [kio_krarc.la.closure] Error 1
make[2]: Leaving directory `/usr/src/krusader-1.30/krArc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/krusader-1.30'
make: *** [all] Error 2

===> /usr/bin/ld: cannot find -lselinux <===

Version-Release number of selected component (if applicable):
libselinux-1.11.1-1

How reproducible:
Always

Steps to Reproduce:
1. unpack krusader1.30 (needs arts-devel and kdelibs-devel)
2. ./configure --with-qt-dir=/usr/lib/qt-3.3
3. make
    

Actual Results:  make exited with errors; libselinux was not found ...
see above

Expected Results:  /usr/bin/ld finds libselinux

Additional info:

SOLUTION:
********
ln -s /lib/libselinux.so.1 /lib/libselinux.so
Comment 1 J. Scott Amort 2004-04-27 13:42:21 EDT
This is likely a similar problem to mine, dealing with the type
context on shared libraries.  Check if ls -Z libselinux.so.1 has a
type context of lib_t instead of shlib_t.  If so, change it to the
latter, then run ldconfig.
Comment 2 Captain 2004-04-27 13:51:00 EDT
Sorry, forgot to add that I have SElinux disabled (GRUB option &
/etc/sysconfig/selinux: SELINUX=disabled)
Comment 3 Daniel Walsh 2004-04-28 14:42:49 EDT
You can install libselinux-devel and that should fix it.  The question
is why is the package using libselinux at all.  This is not something
we have done.
Comment 4 Captain 2004-04-28 15:25:58 EDT
I'm too a bit confused why krusader would need libselinux.
It doesn't show up anywhere in the Makefile's...

Anyway, installing libselinux-devel solved the problem too.

1. I removed the symlink (/lib/libselinux.so.1 -> /lib/libselinux.so)
2. installed libselinux-devel-1.11.3-1.i386.rpm (needed to upgrade to
libselinux-1.11.3-1.i386.rpm - didn't download CD3, so grabbed 'em
from
http://mirror.dulug.duke.edu/pub/fedora/linux/core/development/i386/Fedora/RPMS/)
3. make of krusader now completes without errors :-)
Comment 5 Captain 2004-04-29 01:18:24 EDT
I'm still curious why krusader suddenly wanted the libselinux-devel.
It compiled just fine on test2 (selinux disabled aswell), without
installing libselinux-devel by hand.
Comment 6 Daniel Walsh 2004-04-29 08:38:49 EDT
What libraries is it linking with.  It must be a library that supports
SELinux that it is sucking in.

Dan
Comment 7 Captain 2004-04-29 13:57:47 EDT
Created attachment 99797 [details]
Makefile of krArc of krusader

The Makefile of krArc which failed to make during compilation of krusader.
Hope that helps. (I posted the output of make of krArc in my first post)
-Hannes.
Comment 8 Captain 2004-04-29 14:04:11 EDT
Forgot to mention: krusader is running fine on my machine now, but I
fear that this issue might affect other prgz aswell. That is the
reason why I added further comments to this entry.
Thanks for looking into this :-)
-Hannes.
Comment 9 Dennis Gilmore 2004-05-03 20:03:08 EDT
Just trying to build boson i came across the same problem  i guess 
that kdelibs is pulling in the selinux requirement   
 
from bosons README file 
Minimum software requirements: 
        XFree 4.x server - see http://www.xfree86.org/ 
        OpenGL - The OpenGL library (should be included in your XFree 
Server or graphics card driver) 
        Qt 3.1 or better - see http://www.trolltech.com/ 
        kdelibs 3.1 or better (3.0 is untested) - see 
http://www.kde.org/ 
        Python 2.0 or better (2.3 is recommended) - see 
http://www.python.org/ 
        libvorbis (for sound and music) - see http://www.vorbis.com/ 
        lib3ds (Units and building rendering) - see 
http://lib3ds.sf.net/ 
        OpenAL (audio library) - see http://www.openal.org/ 
        WML and Perl - For the handbook - see http://www.thewml.org 
 
Comment 10 Steve 2004-06-28 01:42:06 EDT
*** Bug 126835 has been marked as a duplicate of this bug. ***
Comment 11 Claudio Domiziani 2004-07-27 09:38:23 EDT
Encountered same problem compiling k3b 0.11.12 on FC2.
Solved Installing libselinux-devel.

Note You need to log in before you can comment on or make changes to this bug.